SUMMARY = "Homescreen for the Glacier UX"
HOMEPAGE = "https://github.com/nemomobile-ux/glacier-home.git"
LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://src/qml/MainScreen.qml;beginline=1;endline=30;md5=1a053e8b1bbb35a9b0146cf1a5775e3a"

SRC_URI = "git://source.necunos.com/nemomobile/glacier-home.git;protocol=https;branch=Qt59 \
    file://lipstick.service \
    file://default.conf \
"
SRC_URI_append_qemux86 = " file://qemu.conf file://kms-qemu.json"

SRCREV = "${AUTOREV}"
PR = "r2"
PV = "0.27.2+git${SRCPV}"
S = "${WORKDIR}/git"
inherit qmake5

DEPENDS += "lipstick qtvirtualkeyboard nemo-qml-plugin-devicelock"
RDEPENDS_${PN} += "qtdeclarative-qmlplugins qtvirtualkeyboard qtquickcontrols-qmlplugins nemo-qml-plugin-contextkit qtquickcontrols-nemo qtwayland-plugins qtgraphicaleffects-qmlplugins nemo-qml-plugin-time nemo-qml-plugin-configuration libconnman-qt5 libqofono xkeyboard-config ttf-opensans nemo-qml-plugin-devicelock nemo-qml-plugin-contacts nemo-theme-glacier nemo-qml-plugin-dbus libresourceqt libngf-qt"
FILES_${PN} += "/usr/share/lipstick-glacier-home-qt5/ /usr/lib/systemd/user/ /usr/lib/systemd/user/default.target.wants/"

do_install_append() {
    install -d ${D}/var/lib/environment/compositor/
    install -D -m 644 ../default.conf ${D}/var/lib/environment/compositor/
    
    if [ -f ../qemu.conf ] ; then
        install -D -m 644 ../qemu.conf ${D}/var/lib/environment/compositor/
        install -D -m 644 ../kms-qemu.json ${D}/var/lib/environment/compositor/
    fi
    
    install -d ${D}/usr/lib/systemd/user/
    install -d ${D}/usr/lib/systemd/user/default.target.wants/
    install -D -m 644 ../lipstick.service ${D}/usr/lib/systemd/user/
    
    if [ ! -f ${D}/home/nemo/.config/systemd/user/default.target.wants/lipstick.service ]; then
        ln -s /usr/lib/systemd/user/lipstick.service ${D}/usr/lib/systemd/user/default.target.wants/lipstick.service
    fi
    

}
