SUMMARY = "Lipstick is a project aimed at offering easy to modify user experiences for varying mobile device form factors, e.g. handsets, netbooks, tablets."
HOMEPAGE = "https://git.merproject.org/mer-core/lipstick"
LICENSE = "LGPL-2.1+"
LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=fbc093901857fcd118f065f900982c24"

SRC_URI = "git://github.com/AsteroidOS/lipstick.git;protocol=https \
           file://0001-Disables-tests-and-doc.patch \
           file://Notifications/ \
           file://0001-lower-raise-window-Add-window-lowering-and-raising.patch \
           "

SRCREV = "cf9b21228764dc87bbe22c3d187e322c793a4930"
PR = "r1"
PV = "+git${SRCPV}"
S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"

DEPENDS += "qtbase qtsensors qtdeclarative qtwayland mlite dbus dbus-glib libresourceqt qtsystems libngf-qt statefs-qt mce usb-moded-qt5 systemd wayland qttools-native nemo-keepalive"

inherit qmake5

do_install_append() {
    install -d ${D}/usr/share/icons/hicolor/86x86/apps/
    
    cd ${S}/i18n/
    lrelease -idbased *.ts
    cp -r *.qm ${D}/usr/share/translations/
    
    install -d ${D}/home/${TARGET_USERNAME}/.local/share/system/privileged/Notifications/
    cp -r ${WORKDIR}/Notifications/* ${D}/home/${TARGET_USERNAME}/.local/share/system/privileged/Notifications/
}
INSANE_SKIP_${PN} = "pkgconfig dev-deps"
FILES_${PN} += "/usr/lib/qml/org/nemomobile/lipstick/liblipstickplugin.so /usr/lib/qml/org/nemomobile/lipstick/qmldir /usr/share/icons/hicolor/86x86/apps/ /home/${TARGET_USERNAME}/.local/share/system/privileged/Notifications"
FILES_${PN}-dev += "/usr/lib/liblipstick-qt5.prl"
FILES_${PN}-dbg += "/usr/lib/qml/org/nemomobile/lipstick/.debug"
FILES_${PN}-locale += "/usr/share/translations"
